function [optiX] = mosekSOCPYalmipMosek( c,objective,v, number_of_it )

yalmip('clear')
%% parameters
prm.debug = true;
prm.visualize = true;

prm.init.method = 'solve_unconstrained';
prm.constraints.C = 1000; 
prm.solve.solver = 'mosek'; %solver of choice
prm.solve.max_iter = 1000;
prm.solve.thresh_obj = 1e-6;
prm.solve.thresh_Y = 1e-6;
prm.solve.yalmip_prm = sdpsettings('solver',prm.solve.solver,'verbose',1,'mosek.MSK_IPAR_INTPNT_MAX_ITERATIONS', number_of_it);
prm.solve.yalmip_prm.quadprog.Algorithm = 'interior-point-convex';

% prm = setParams;
MAX_ITER = 150;

sdpYMPtime = tic;
res = solvesdp(c,objective, prm.solve.yalmip_prm);
sdpYMTime  = toc(sdpYMPtime);
fprintf('sdp yalmip+mosek socp time = %f\n',sdpYMTime);

optiX=value(v);

end

